NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalI14443p4_Sw_DataParams_t Struct Reference
Protocol Abstraction Layer » ISO/IEC 14443-4 » Component : Software

ISO14443-4 parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!
void * | pHalDataParams
| Pointer to the parameter structure of the underlying layer. More...
uint8_t | bStateNow
| Current Exchange-State. More...
uint8_t | bCidEnabled
| Card Identifier Enabler; Unequal '0' if enabled. More...
uint8_t | bCid
| Card Identifier; Ignored if *pCidSupported is equal '0'. More...
uint8_t | bNadEnabled
| Node Address Enabler; Unequal '0' if enabled. More...
uint8_t | bNad
| Node Address; Ignored if bNadEnabled is equal '0'. More...
uint8_t | bFwi
| Frame Waiting Integer. More...
uint8_t | bFsdi
| PCD Frame Size Integer; 0-8;.
uint8_t | bFsci
| PICC Frame Size Integer; 0-8;.
uint8_t | bPcbBlockNum
| Current Block-Number; 0/1;.
uint8_t | bMaxRetryCount
| Maximum Retry count for ISO/IEC 14443-4:2008(E) Rule 4 and 5. More...
uint8_t | bOpeMode
| Operation mode. More...

## Detailed Description

ISO14443-4 parameter structure.

## Field Documentation

## § pHalDataParams

void* phpalI14443p4_Sw_DataParams_t::pHalDataParams

Pointer to the parameter structure of the underlying layer.

## § bStateNow

uint8_t phpalI14443p4_Sw_DataParams_t::bStateNow

Current Exchange-State.

## § bCidEnabled

uint8_t phpalI14443p4_Sw_DataParams_t::bCidEnabled

Card Identifier Enabler; Unequal '0' if enabled.

## § bCid

uint8_t phpalI14443p4_Sw_DataParams_t::bCid

Card Identifier; Ignored if *pCidSupported is equal '0'.

## § bNadEnabled

uint8_t phpalI14443p4_Sw_DataParams_t::bNadEnabled

Node Address Enabler; Unequal '0' if enabled.

## § bNad

uint8_t phpalI14443p4_Sw_DataParams_t::bNad

Node Address; Ignored if bNadEnabled is equal '0'.

## § bFwi

uint8_t phpalI14443p4_Sw_DataParams_t::bFwi

Frame Waiting Integer.

## § bMaxRetryCount

uint8_t phpalI14443p4_Sw_DataParams_t::bMaxRetryCount

Maximum Retry count for ISO/IEC 14443-4:2008(E) Rule 4 and 5.

## § bOpeMode

uint8_t phpalI14443p4_Sw_DataParams_t::bOpeMode

Operation mode.

One of NFC, EMVCo, ISO.

The documentation for this struct was generated from the following file:

- phpalI14443p4.h